pcre3 2:8.39-12 source package in Ubuntu

Changelog

pcre3 (2:8.39-12) unstable; urgency=medium

  * Patch from Andrej Shadura <email address hidden> to mark one
    more STL symbol as optional (Closes: #923743).

 -- Matthew Vernon <email address hidden>  Thu, 07 Mar 2019 15:30:15 +0000

Upload details

Uploaded by:
Matthew Vernon on 2019-03-07
Uploaded to:
Sid
Original maintainer:
Matthew Vernon
Architectures:
any
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Eoan release on 2019-04-18 main libs
Disco release on 2019-04-08 main libs

Downloads

File Size SHA-256 Checksum
pcre3_8.39-12.dsc 2.2 KiB 7660921533f286d211bc129318327041ceb80d3d21e91c1ae7c10f284342c5e0
pcre3_8.39.orig.tar.bz2 1.5 MiB b858099f82483031ee02092711689e7245586ada49e534a06e678b8ea9549e8b
pcre3_8.39-12.debian.tar.gz 25.9 KiB ee193ddee446f0bdb966fca5987ef871da7a528a473304285619988102371c4c

Available diffs

No changes file available.

Binary packages built by this source

libpcre16-3: Old Perl 5 Compatible Regular Expression Library - 16 bit runtime files

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the 16 bit runtime library.

libpcre3: Old Perl 5 Compatible Regular Expression Library - runtime files

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 New packages should use the newer pcre2 packages, and existing
 packages should migrate to pcre2.
 .
 This package contains the runtime libraries.

libpcre3-dbg: Old Perl 5 Compatible Regular Expression Library - debug symbols

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the debug symbols,

libpcre3-dev: Old Perl 5 Compatible Regular Expression Library - development files

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 New packages should use the newer pcre2 packages, and existing
 packages should migrate to pcre2.
 .
 This package contains the development files, including headers, static
 libraries, and documentation.

libpcre3-udeb: Old Perl 5 Compatible Regular Expression Library - runtime files (udeb)

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the runtime libraries for the Debian Installer (udeb).

libpcre32-3: Old Perl 5 Compatible Regular Expression Library - 32 bit runtime files

 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the 32 bit runtime library.

libpcrecpp0v5: Old Perl 5 Compatible Regular Expression Library - C++ runtime files

 This is a C++ library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the C++ runtime library.

pcregrep: grep utility that uses perl 5 compatible regexes.

 Perl-style regexps have many useful features that the standard POSIX ones
 don't; this is basically the same as grep but with the different
 regexp syntax.
 .
 The other reason for the existence of pcregrep is that its source code is an
 example of programming with libpcre.